OPTION  PROLOGUE:NONE 
OPTION  EPILOGUE:NONE 

WriteFileToDisc PROC pFileName:DWORD,pMemory:DWORD,nSize:DWORD

;   pFileName       :   pointer to file name
;   pMemory         :   address of data block to write to disc
;   nSize           :   number of bytes to write

    sub     esp,2*4                 ; reserve 8 bytes for local variables
    invoke  CreateFile,DWORD PTR [esp+36],GENERIC_WRITE,0,0,\
            CREATE_ALWAYS,FILE_ATTRIBUTE_ARCHIVE,0
    cmp     eax,INVALID_HANDLE_VALUE
    je      finish
@@:
    mov     DWORD PTR [esp],eax     ; save the handle to the file
    lea     edx,DWORD PTR [esp+4]   ; get the address of number of bytes written
    invoke  WriteFile,eax,DWORD PTR [esp+28],DWORD PTR [esp+28],edx,0
    test    eax,eax
    jz      finish
@@:    
    invoke  CloseHandle,DWORD PTR [esp]
    mov     eax,1
 
finish:

    add     esp,2*4                 ; balance the stack
    ret     3*4

WriteFileToDisc ENDP

OPTION  PROLOGUE:PrologueDef 
OPTION  EPILOGUE:EpilogueDef 
